{% import "macro/table.html" as table %}
<table class="ui bottom attached table tokens">
    <thead>
        <tr>
            <th>{% trans %}Token{% endtrans %}</th>
            <th>{% trans %}Client{% endtrans %}</th>
            <th>{% trans %}Subject{% endtrans %}</th>
            <th>{% trans %}Created{% endtrans %}</th>
        </tr>
    </thead>
    <tbody>
        {% for token in table_form.items_slice %}
            <tr>
                <td>
                    <a href="{{ url_for('oidc.tokens.view', token_id=token.token_id) }}">
                        {{ token.token_id }}
                    </a>
                </td>
                <td>
                    <a href="{{ url_for('oidc.clients.edit', client_id=token.client.client_id) }}">
                        {{ token.client.client_name }}
                    </a>
                </td>
                <td>
                    <a href="{{ url_for("account.profile_edition", username=token.subject.uid[0]) }}">
                        {{ token.subject.uid[0] }}
                    </a>
                </td>
                <td>{{ token.issue_date }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">
                    <div class="ui icon message">
                        <i class="exclamation icon"></i>
                        <div class="content">
                            {% if request.headers.get("Hx-Request") %}
                                <div class="header">
                                    {% trans %}No item matches your request{% endtrans %}
                                </div>
                                <p>{% trans %}Maybe try with different criterias?{% endtrans %}</p>
                            {% else %}
                                <div class="header">
                                    {% trans %}There is nothing here{% endtrans %}
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </td>
            </tr>
        {% endfor %}
    </tbody>
    <tfoot>
        <tr>
            <th colspan="4">
                {{ table.pagination(table_form) }}
            </th>
        </tr>
    </tfoot>
</table>
